<?php

namespace Dpd\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CollectionRequestServices StructType
 * @subpackage Structs
 */
class CollectionRequestServices extends CreateServicesBase
{
    /**
     * The extraInsurance
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Dpd\StructType\ExtraInsurance
     */
    public $extraInsurance;
    /**
     * The contact
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Dpd\StructType\ContactCollectionRequest
     */
    public $contact;
    /**
     * The marketing
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Dpd\StructType\Marketing
     */
    public $marketing;
    /**
     * Constructor method for CollectionRequestServices
     * @uses CollectionRequestServices::setExtraInsurance()
     * @uses CollectionRequestServices::setContact()
     * @uses CollectionRequestServices::setMarketing()
     * @param \Dpd\StructType\ExtraInsurance $extraInsurance
     * @param \Dpd\StructType\ContactCollectionRequest $contact
     * @param \Dpd\StructType\Marketing $marketing
     */
    public function __construct(\Dpd\StructType\ExtraInsurance $extraInsurance = null, \Dpd\StructType\ContactCollectionRequest $contact = null, \Dpd\StructType\Marketing $marketing = null)
    {
        $this
            ->setExtraInsurance($extraInsurance)
            ->setContact($contact)
            ->setMarketing($marketing);
    }
    /**
     * Get extraInsurance value
     * @return \Dpd\StructType\ExtraInsurance|null
     */
    public function getExtraInsurance()
    {
        return $this->extraInsurance;
    }
    /**
     * Set extraInsurance value
     * @param \Dpd\StructType\ExtraInsurance $extraInsurance
     * @return \Dpd\StructType\CollectionRequestServices
     */
    public function setExtraInsurance(\Dpd\StructType\ExtraInsurance $extraInsurance = null)
    {
        $this->extraInsurance = $extraInsurance;
        return $this;
    }
    /**
     * Get contact value
     * @return \Dpd\StructType\ContactCollectionRequest|null
     */
    public function getContact()
    {
        return $this->contact;
    }
    /**
     * Set contact value
     * @param \Dpd\StructType\ContactCollectionRequest $contact
     * @return \Dpd\StructType\CollectionRequestServices
     */
    public function setContact(\Dpd\StructType\ContactCollectionRequest $contact = null)
    {
        $this->contact = $contact;
        return $this;
    }
    /**
     * Get marketing value
     * @return \Dpd\StructType\Marketing|null
     */
    public function getMarketing()
    {
        return $this->marketing;
    }
    /**
     * Set marketing value
     * @param \Dpd\StructType\Marketing $marketing
     * @return \Dpd\StructType\CollectionRequestServices
     */
    public function setMarketing(\Dpd\StructType\Marketing $marketing = null)
    {
        $this->marketing = $marketing;
        return $this;
    }
}
