<?php

namespace Dpd\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSecureDataResponse StructType
 * @subpackage Structs
 */
class GetSecureDataResponse extends AbstractStructBase
{
    /**
     * The GetSecureDataResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Dpd\StructType\GetSecureDataResponse
     */
    public $GetSecureDataResult;
    /**
     * The Data
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Data;
    /**
     * The SecureCodes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Dpd\ArrayType\ArrayOfString
     */
    public $SecureCodes;
    /**
     * The BarcodeImage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $BarcodeImage;
    /**
     * Constructor method for GetSecureDataResponse
     * @uses GetSecureDataResponse::setGetSecureDataResult()
     * @uses GetSecureDataResponse::setData()
     * @uses GetSecureDataResponse::setSecureCodes()
     * @uses GetSecureDataResponse::setBarcodeImage()
     * @param \Dpd\StructType\GetSecureDataResponse $getSecureDataResult
     * @param string $data
     * @param \Dpd\ArrayType\ArrayOfString $secureCodes
     * @param string $barcodeImage
     */
    public function __construct(\Dpd\StructType\GetSecureDataResponse $getSecureDataResult = null, $data = null, \Dpd\ArrayType\ArrayOfString $secureCodes = null, $barcodeImage = null)
    {
        $this
            ->setGetSecureDataResult($getSecureDataResult)
            ->setData($data)
            ->setSecureCodes($secureCodes)
            ->setBarcodeImage($barcodeImage);
    }
    /**
     * Get GetSecureDataResult value
     * @return \Dpd\StructType\GetSecureDataResponse|null
     */
    public function getGetSecureDataResult()
    {
        return $this->GetSecureDataResult;
    }
    /**
     * Set GetSecureDataResult value
     * @param \Dpd\StructType\GetSecureDataResponse $getSecureDataResult
     * @return \Dpd\StructType\GetSecureDataResponse
     */
    public function setGetSecureDataResult(\Dpd\StructType\GetSecureDataResponse $getSecureDataResult = null)
    {
        $this->GetSecureDataResult = $getSecureDataResult;
        return $this;
    }
    /**
     * Get Data value
     * @return string|null
     */
    public function getData()
    {
        return $this->Data;
    }
    /**
     * Set Data value
     * @param string $data
     * @return \Dpd\StructType\GetSecureDataResponse
     */
    public function setData($data = null)
    {
        // validation for constraint: string
        if (!is_null($data) && !is_string($data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($data, true), gettype($data)), __LINE__);
        }
        $this->Data = $data;
        return $this;
    }
    /**
     * Get SecureCodes value
     * @return \Dpd\ArrayType\ArrayOfString|null
     */
    public function getSecureCodes()
    {
        return $this->SecureCodes;
    }
    /**
     * Set SecureCodes value
     * @param \Dpd\ArrayType\ArrayOfString $secureCodes
     * @return \Dpd\StructType\GetSecureDataResponse
     */
    public function setSecureCodes(\Dpd\ArrayType\ArrayOfString $secureCodes = null)
    {
        $this->SecureCodes = $secureCodes;
        return $this;
    }
    /**
     * Get BarcodeImage value
     * @return string|null
     */
    public function getBarcodeImage()
    {
        return $this->BarcodeImage;
    }
    /**
     * Set BarcodeImage value
     * @param string $barcodeImage
     * @return \Dpd\StructType\GetSecureDataResponse
     */
    public function setBarcodeImage($barcodeImage = null)
    {
        // validation for constraint: string
        if (!is_null($barcodeImage) && !is_string($barcodeImage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($barcodeImage, true), gettype($barcodeImage)), __LINE__);
        }
        $this->BarcodeImage = $barcodeImage;
        return $this;
    }
}
